-- #####################################################################################
-- ## Skript zum Vortrag <Die Algorithmen hinter Xing, Facebooks und Navis...>        ##     
-- #####################################################################################
-- ## Dieses Skript legt die Projektdatenbank an. Es wird durch weitere Skripte       ##
-- ## ergnzt, die in ihrer durchnummerierten Reihenfolge abzuarbeiten sind. Die      ##
-- ## Skripte passen zu den Aufgabenstellungen aus der zugehrigen Powerpoint-        ##
-- ## Prsentation vom selben Autor.                                                  ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Bitte dieses Skript niemals in einer Produktionsumgebung einsetzen, da          ##
-- ## Datenbankobjekte angelegt, ergnzt, gendert oder sogar gelscht werden!!!      ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Verwendung auf eigene Gefahr...                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## nderungsnachweis:                                                              ##
-- ## 2019-06-29		Neuerstellung                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Torsten Ahlemeyer, arelium GmbH        torsten.ahlemeyer@arelium.de             ##
-- #####################################################################################

-- auf <richtige> Datenbak wechseln
USE [Vortrag_Graph_Algorithmen]
GO


-- ########################
-- ### Aufrumarbeiten ####
-- ########################

-- bestehende Prozedur SUCHEVERBINDUNGSCHLEIFE im Schema RATIONAL lschen, um sauber wieder aufzusetzen
DROP PROCEDURE IF EXISTS [relational].[SucheVerbindungSchleife]

-- bestehende Tabelle BEKANNTSCHAFT im Schema RELATIONAL lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [relational].[Bekanntschaft]
GO

-- bestehende Tabelle PERSON im Schema RELATIONAL lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [relational].[Person]
GO

-- bestehende Tabelle BEKANNTSCHAFT im Schema RELATIONAL lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [relational].[Weg]
GO

-- bestehende Tabelle PERSON im Schema RELATIONAL lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [relational].[WegParameter]
GO

-- bestehende Tabelle INITIALISIERUNG im Schema TEMP lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [temp].[Initialisierung]
GO

-- bestehende Tabelle PFADERGAENZUNG im Schema TEMP lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [temp].[PfadErgaenzung]
GO

-- bestehende Tabelle ZWISCHENSPEICHER im Schema TEMP lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [temp].[Zwischenspeicher]
GO

-- bestehende Tabelle FLUGHAFEN im Schema GRAPH lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [graph].[Flughafen]
GO

-- bestehende Tabelle FLIEGT_NACH im Schema GRAPH lschen, um sauber wieder aufzusetzen
DROP TABLE IF EXISTS [graph].[fliegt_nach]
GO

-- bestehendes Schema RELATIONAL lschen, um sauber wieder aufzusetzen
DROP SCHEMA  IF EXISTS [relational]
GO

-- bestehendes Schema GRAPH lschen, um sauber wieder aufzusetzen
DROP SCHEMA  IF EXISTS [graph]
GO

-- bestehendes Schema TEMP lschen, um sauber wieder aufzusetzen
DROP SCHEMA  IF EXISTS [temp]
GO

