-- #####################################################################################
-- ## Skript zum Vortrag <Die Algorithmen hinter Xing, Facebooks und Navis...>        ##     
-- #####################################################################################
-- ## Dieses Skript legt die Projektdatenbank an. Es wird durch weitere Skripte       ##
-- ## ergnzt, die in ihrer durchnummerierten Reihenfolge abzuarbeiten sind. Die      ##
-- ## Skripte passen zu den Aufgabenstellungen aus der zugehrigen Powerpoint-        ##
-- ## Prsentation vom selben Autor.                                                  ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Bitte dieses Skript niemals in einer Produktionsumgebung einsetzen, da          ##
-- ## Datenbankobjekte angelegt, ergnzt, gendert oder sogar gelscht werden!!!      ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Verwendung auf eigene Gefahr...                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## nderungsnachweis:                                                              ##
-- ## 2019-06-29		Neuerstellung                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Torsten Ahlemeyer, arelium GmbH        torsten.ahlemeyer@arelium.de             ##
-- #####################################################################################

-- A)

-- auf <richtige> Datenbak wechseln
USE [Vortrag_Graph_Algorithmen]
GO


--- Beispiel 1: Die Verbindung von Person 1 zu Person 2
-- Ergebnis sollten sechs Pfade sein
DECLARE @RC int
DECLARE @PersonA bigint
DECLARE @PersonB bigint

SET @PersonA = 1
SET @PersonB = 2

EXECUTE @RC = [relational].[SucheVerbindungCTE] 
   @PersonA
  ,@PersonB
GO




--- Beispiel 2: Die Verbindung von Person 6 zu Person 7
-- Ergebnis sollten vierzehn Pfade sein
DECLARE @RC int
DECLARE @PersonA bigint
DECLARE @PersonB bigint

SET @PersonA = 6
SET @PersonB = 7

EXECUTE @RC = [relational].[SucheVerbindungCTE] 
   @PersonA
  ,@PersonB
GO
