-- #####################################################################################
-- ## Skript zum Vortrag <Die Algorithmen hinter Xing, Facebooks und Navis...>        ##     
-- #####################################################################################
-- ## Dieses Skript legt die Projektdatenbank an. Es wird durch weitere Skripte       ##
-- ## ergnzt, die in ihrer durchnummerierten Reihenfolge abzuarbeiten sind. Die      ##
-- ## Skripte passen zu den Aufgabenstellungen aus der zugehrigen Powerpoint-        ##
-- ## Prsentation vom selben Autor.                                                  ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Bitte dieses Skript niemals in einer Produktionsumgebung einsetzen, da          ##
-- ## Datenbankobjekte angelegt, ergnzt, gendert oder sogar gelscht werden!!!      ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Verwendung auf eigene Gefahr...                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## nderungsnachweis:                                                              ##
-- ## 2019-06-29		Neuerstellung                                                 ##
-- ## ------------------------------------------------------------------------------- ##
-- ## Torsten Ahlemeyer, arelium GmbH        torsten.ahlemeyer@arelium.de             ##
-- #####################################################################################

-- auf <richtige> Datenbak wechseln
USE [Vortrag_Graph_Algorithmen]
GO

-- Hilfsview VNEUERSPRUNG erstellen
CREATE OR ALTER VIEW [relational].[vNeuerSprung]
AS
	SELECT	  [Quelle].[StartID]															AS [StartID]
			, [Ziel].[PersonB]																AS [ZielID]
			, [Quelle].[Spruenge] + 1														AS [Spruenge]
			, [Quelle].[Gesamtpfad] + ',' + CONVERT(VARCHAR(2),[Ziel].[PersonB])			AS [Pfad]
	FROM [relational].[Weg]																	AS [Quelle],
		(SELECT PersonA, PersonB from [relational].[Bekanntschaft])							AS [Ziel]
		WHERE 1=1
			AND [Quelle].[ZielID] = [Ziel].[PersonA]
			AND [Ziel].[PersonB] <> [Quelle].[StartID];
GO




